OUI Based VLAN (Template)
15 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getGridApOuiBasedVlanTemplate | GET | Get Ap oui based vlan template list |
| createApOuiBasedVlanTemplate | POST | Create Ap oui based vlan template |
| deleteApOuiBasedVlanTemplate | DELETE | Delete Ap oui based vlan template |
| modifyApOuiBasedVlanTemplate | PUT | Modify Ap oui based vlan template |
| getGridSwitchOuiBasedVlanTemplate | GET | Get Switch oui based vlan template list |
| createSwitchOuiBasedVlanTemplate | POST | Create Switch oui based vlan template |
| deleteSwitchOuiBasedVlanTemplate | DELETE | Delete Switch oui based vlan template |
| modifySwitchOuiBasedVlanTemplate | PUT | Modify Switch oui based vlan template |
| getWhetherAllSwitchSupportAutoAddVlanTemplate | GET | Get whether all switches template support oui rule auto add vlan. |
| enableAutoAddVlanTemplate | POST | Enable the site template and device auto add vlan. |
| getOuiBasedVlanSwitchListTemplate | GET | Get all oui based vlan switch template list. |
| getWhetherExistAllowAllPortOrLagsForRuleModificationTemplate | POST | Get whether exist at least one port or lag with allow all network tags for oui based vlan modification. |
| getWhetherExistAllowAllPortOrLagsForRuleCreationTemplate | POST | Get whether exist at least one port or lag with allow all network tags for oui based vlan creation. |
| getAllSupportAutoAddVlanSwitchListTemplate | GET | Get switch template list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan. |
| getWhetherSiteOpenAutoAddVlanTemplate | GET | Get whether site template open oui rule auto add vlan. |
getGridApOuiBasedVlanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-oui-rules
Get Ap oui based vlan template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridApOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get Ap oui based vlan template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createApOuiBasedVlanTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-oui-rules
Create Ap oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Ap Rule state. |
name | string | yes | Ap Rule name should contain 1 to 128 characters. |
ssidIdList | array<string> | yes | Configured ssid list. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "createApOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Ap oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
deleteApOuiBasedVlanTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-oui-rules/{ouiBasedVlanId}
Delete Ap oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
ouiBasedVlanId | path | string | yes | The id of oui profile. |
// omada_call_operation
{
"operationId": "deleteApOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
}
}Details, permissions and error codes
Delete Ap oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyApOuiBasedVlanTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/ap-oui-rules/{ouiBasedVlanId}
Modify Ap oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
ouiBasedVlanId | path | string | yes | The id of oui profile. |
Request body — application/json (required) — schema OuiBasedVlanApOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Ap Rule state. |
name | string | yes | Ap Rule name should contain 1 to 128 characters. |
ssidIdList | array<string> | yes | Configured ssid list. |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based vlan rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "modifyApOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Ap oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33779 - This OUI profile does not exist.
-33789 - PPSK and OUI Based VLAN are mutually exclusive. Please make sure the SSID does not select PPSK.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34225 - When the rule is enabled, the same SSID should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
getGridSwitchOuiBasedVlanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules
Get Switch oui based vlan template list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridSwitchOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get Switch oui based vlan template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createSwitchOuiBasedVlanTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules
Create Switch oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema OuiBasedVlanTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Switch Rule state. |
name | string | yes | Switch Rule name should contain 1 to 128 characters. |
mode | integer | yes | Switch Rule type should be a value as follows: 0: All device port |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "createSwitchOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Switch oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.
deleteSwitchOuiBasedVlanTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/{ouiBasedVlanId}
Delete Switch oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
// omada_call_operation
{
"operationId": "deleteSwitchOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
}
}Details, permissions and error codes
Delete Switch oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifySwitchOuiBasedVlanTemplate
PUT /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/{ouiBasedVlanId}
Modify Switch oui based vlan template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
Request body — application/json (required) — schema OuiBasedVlanTemplateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | yes | Switch Rule state. |
name | string | yes | Switch Rule name should contain 1 to 128 characters. |
mode | integer | yes | Switch Rule type should be a value as follows: 0: All device port |
ruleCombine | array<VlanOuiModeOpenApiVO> | yes | Basic vlan-oui-priority configuration of oui based rule. Cannot be empty. |
// omada_call_operation
{
"operationId": "modifySwitchOuiBasedVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Switch oui based vlan template.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33009 - This site template does not exist.
-33779 - This OUI profile does not exist.
-34219 - The rule for all device ports has been created in Rules.
-34220 - The rule for all device ports and the rule for custom device ports should not be enabled simultaneously.
-34223 - When the rule enabled, the same VLAN should not be bound with the same device port/LAG in different rules. Please check the settings.
-34224 - When the rule is enabled, the same device should not configure OUI-VLAN combination greater than 16.
-34227 - When the rule is enabled, the same OUI on the same device should not be configured in multiple rules.
-34229 - The OUI based VLAN rule name already exists.
-34230 - When the rule for all device ports is created, devices with old firmware should not be configured in rules for custom device ports.
getWhetherAllSwitchSupportAutoAddVlanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/auto-add-vlan-all-support
Get whether all switches template support oui rule auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getWhetherAllSwitchSupportAutoAddVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get whether all switches template support oui rule auto add vlan.
The interface requires one of the permissions:
Global Site Template Manager View Only
enableAutoAddVlanTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/enable-auto-add-vlan
Enable the site template and device auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "enableAutoAddVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Enable the site template and device auto add vlan.
The interface requires one of the permissions:
Global Site Template Manager Modify
getOuiBasedVlanSwitchListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/switches
Get all oui based vlan switch template list.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getOuiBasedVlanSwitchListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get all oui based vlan switch template list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getWhetherExistAllowAllPortOrLagsForRuleModificationTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/switches/{ouiBasedVlanId}/check
Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
ouiBasedVlanId | path | string | yes | Oui Based Vlan ID |
Request body — application/json (required) — schema OuiBasedVlanRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | |
enable | boolean | yes | |
name | string | yes | |
mode | integer | no | |
type | integer | yes | |
ruleInterface | array<integer> | no | |
ssidList | array<SsidOuiModeVO> | no | |
ssidIdList | array<string> | no | |
deviceList | array<DeviceOuiModeVO> | no | |
ruleCombine | array<VlanOuiModeVO> | yes | |
excludeDeviceList | array<OuiBasedVlanDeviceInfoVO> | no | |
resource | integer | no |
// omada_call_operation
{
"operationId": "getWhetherExistAllowAllPortOrLagsForRuleModificationTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"ouiBasedVlanId": "<ouiBasedVlanId>"
},
"body": "{...}"
}Details, permissions and error codes
Get whether exist at least one port or lag with allow all network tags for oui based vlan modification.
The interface requires one of the permissions:
Global Site Template Manager View Only
getWhetherExistAllowAllPortOrLagsForRuleCreationTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/switches/check
Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema OuiBasedVlanRuleVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | |
enable | boolean | yes | |
name | string | yes | |
mode | integer | no | |
type | integer | yes | |
ruleInterface | array<integer> | no | |
ssidList | array<SsidOuiModeVO> | no | |
ssidIdList | array<string> | no | |
deviceList | array<DeviceOuiModeVO> | no | |
ruleCombine | array<VlanOuiModeVO> | yes | |
excludeDeviceList | array<OuiBasedVlanDeviceInfoVO> | no | |
resource | integer | no |
// omada_call_operation
{
"operationId": "getWhetherExistAllowAllPortOrLagsForRuleCreationTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Get whether exist at least one port or lag with allow all network tags for oui based vlan creation.
The interface requires one of the permissions:
Global Site Template Manager View Only
getAllSupportAutoAddVlanSwitchListTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/switches/support-auto-add-vlan
Get switch template list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getAllSupportAutoAddVlanSwitchListTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get switch template list of supporting oui based vlan with ports(lags) info of vlans in oui based rules but not included in port(lag) vlan.
The interface requires one of the permissions:
Global Site Template Manager View Only
getWhetherSiteOpenAutoAddVlanTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/switch-oui-rules/whether-auto-add-vlan
Get whether site template open oui rule auto add vlan.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getWhetherSiteOpenAutoAddVlanTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get whether site template open oui rule auto add vlan.
The interface requires one of the permissions:
Global Site Template Manager View Only